| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ob::DevicePresetList Class Reference

Class representing a list of device presets @breif A device preset is a set of parameters or configurations that can be applied to the device to achieve a specific effect or function. More...

`#include <Device.hpp>`

## Public Member Functions
| DevicePresetList (std::unique_ptr< DevicePresetListImpl > impl)
| ~DevicePresetList () noexcept
uint32_t | count ()
| Get the number of device presets in the list.
const char * | getName (uint32_t index)
| Get the name of the device preset at the specified index.
bool | hasPreset (const char *name)

## Detailed Description

Class representing a list of device presets @breif A device preset is a set of parameters or configurations that can be applied to the device to achieve a specific effect or function.

Definition at line 938 of file Device.hpp.

## Constructor & Destructor Documentation

## ◆ DevicePresetList()

ob::DevicePresetList::DevicePresetList | ( | std::unique_ptr< DevicePresetListImpl > | impl | ) |

## ◆ ~DevicePresetList()

ob::DevicePresetList::~DevicePresetList | ( |  | ) |
| noexcept

## Member Function Documentation

## ◆ count()

uint32_t ob::DevicePresetList::count | ( |  | ) |

Get the number of device presets in the list.

Returns
  uint32_t the number of device presets in the list

## ◆ getName()

const char * ob::DevicePresetList::getName | ( | uint32_t | index | ) |

Get the name of the device preset at the specified index.

Parameters

  index | the index of the device preset

Returns
  const char* the name of the device preset

## ◆ hasPreset()

bool ob::DevicePresetList::hasPreset | ( | const char * | name | ) |

@breif check if the preset list contains the special name preset.

Parameters

  name | The name of the preset

Returns
  bool Returns true if the special name is found in the preset list, otherwise returns false.

The documentation for this class was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/hpp/Device.hpp